---
api: 'Merchant API'
---

# Retrieve a dispute list

Retrieve a list of disputes associated with your merchant account. 

:::note
This endpoint is only available in **Production** environment.
:::

You can also use the query parameters for:
  
  | Filtering | Pagination |
  | --------- | ---------- |
  | Filter the diputes that you want to retrieve, for example, only retrieve the disputes that have a specific state. <br/><br/>Parameters used for filtering:<br/><ul><li>`from_created_date`</li><li>`to_created_date`</li><li>`payment_id`</li><li>`state`</li></ul> | View the disputes without loading all of them at once, for example, return a specified number of disputes per page. <br/><br/>Parameters used for pagination: <br/><ul><li>`limit`</li><li>`from_created_date` or `to_created_date`</li></ul> |

## Endpoint

GET `/api/disputes`

## Parameters

### query parameters

- `limit` (integer, optional)
  Maximum number of records to return. Used for **pagination**.

- `from_created_date` (string, optional)
  Retrieve records with a `created_at` value ≥ `from_created_date`.
  
  Use the [ISO 8601 date-time format](https://en.wikipedia.org/wiki/ISO_8601): `yyyy-MM-ddTHH:mm:ss[.SSSSSS]Z`.

- `to_created_date` (string, optional)
  Retrieve records with a `created_at` value ≤ `to_created_date`.
  
  Use the [ISO 8601 date-time format](https://en.wikipedia.org/wiki/ISO_8601): `yyyy-MM-ddTHH:mm:ss[.SSSSSS]Z`.

- `state` (array of enum, optional)
  Filter disputes by state. Repeat the parameter to filter by multiple states.
  
  | Value | Description |
  |-------|-------------|
  | `needs_response` | Dispute requires your response |
  | `under_review` | Dispute is being reviewed |
  | `won` | Dispute resolved in your favour |
  | `lost` | Dispute resolved against you |
  
  The parameter is case sensitive.

- `payment_id` (array of string, optional)
  Filter disputes by the ID of the associated payment. Repeat the parameter to filter by multiple payment IDs.
  
  ```
  https://merchant.revolut.com/api/disputes?payment_id=123&payment_id=456
  ```

## Returns

### 200

List of disputes retrieved

#### Response attributes


## Error responses

| HTTP status code | Description |
| --- | --- |
| 400 | Bad Request |
| 401 | Unauthorized |
